Package com.google.protobuf

# Class GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<MessageType,BuilderType>

All Implemented Interfaces:
  `MessageLite`, `MessageLiteOrBuilder`

Direct Known Subclasses:
  `GeneratedMessageLite.ExtendableMessage`

public abstract class GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>> extends AbstractMessageLite<MessageType,BuilderType>
Lite version of `GeneratedMessage`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GeneratedMessageLite.Builder<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>`
`protected static class`
`GeneratedMessageLite.DefaultInstanceBasedParser<T extends GeneratedMessageLite<T,?>>`
A `Parser` implementation that delegates to the default instance.
`static class`
`GeneratedMessageLite.ExtendableBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`
Lite equivalent of `GeneratedMessage.ExtendableBuilder`.
`static class`
`GeneratedMessageLite.ExtendableMessage<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`
Lite equivalent of `GeneratedMessage.ExtendableMessage`.
`static interface`
`GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>`
Lite equivalent of `GeneratedMessage.ExtendableMessageOrBuilder`.
`static class`
`GeneratedMessageLite.GeneratedExtension<ContainingType extends MessageLite,Type>`
Lite equivalent to `GeneratedMessage.GeneratedExtension`.
`static enum`
`GeneratedMessageLite.MethodToInvoke`
Defines which method path to invoke in `#dynamicMethod(MethodToInvoke, Object...)`.
`protected static final class`
`GeneratedMessageLite.SerializedForm`
A serialized (serializable) form of the generated message.

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected UnknownFieldSetLite`
`unknownFields`
For use by generated code only.

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Constructor Summary

Constructors
Constructor
Description
`GeneratedMessageLite()`

## Method Summary

Modifier and Type
Method
Description
`protected final <MessageType extends GeneratedMessageLite<MessageType, BuilderType>, BuilderType extends GeneratedMessageLite.Builder<MessageType, BuilderType>>
BuilderType`
`createBuilder()`
`protected final <MessageType extends GeneratedMessageLite<MessageType, BuilderType>, BuilderType extends GeneratedMessageLite.Builder<MessageType, BuilderType>>
BuilderType`
`createBuilder(MessageType prototype)`
`protected Object`
`dynamicMethod(GeneratedMessageLite.MethodToInvoke method)`
Same as `dynamicMethod(MethodToInvoke, Object, Object)` with `null` padding.
`protected Object`
`dynamicMethod(GeneratedMessageLite.MethodToInvoke method, Object arg0)`
Same as `dynamicMethod(MethodToInvoke, Object, Object)` with `null` padding.
`protected abstract Object`
`dynamicMethod(GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
A method that implements different types of operations described in `GeneratedMessageLite.MethodToInvoke`.
`protected static Internal.BooleanList`
`emptyBooleanList()`
`protected static Internal.DoubleList`
`emptyDoubleList()`
`protected static Internal.FloatList`
`emptyFloatList()`
`protected static Internal.IntList`
`emptyIntList()`
`protected static Internal.LongList`
`emptyLongList()`
`protected static <E> Internal.ProtobufList<E>`
`emptyProtobufList()`
`boolean`
`equals(Object other)`
`final MessageType`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`final Parser<MessageType>`
`getParserForType()`
Gets the parser for a message of the same type as this message.
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`int`
`hashCode()`
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`protected static final <T extends GeneratedMessageLite<T, ?>>
boolean`
`isInitialized(T message, boolean shouldMemoize)`
A static helper method for checking if a message is initialized, optionally memoizing.
`protected void`
`makeImmutable()`
Called by subclasses to complete parsing.
`protected void`
`mergeLengthDelimitedField(int fieldNumber, ByteString value)`
Called by subclasses to parse an unknown field.
`protected final void`
`mergeUnknownFields(UnknownFieldSetLite unknownFields)`
Merge some unknown fields into the `UnknownFieldSetLite` for this message.
`protected void`
`mergeVarintField(int tag, int value)`
Called by subclasses to parse an unknown field.
`protected static Internal.BooleanList`
`mutableCopy(Internal.BooleanList list)`
`protected static Internal.DoubleList`
`mutableCopy(Internal.DoubleList list)`
`protected static Internal.FloatList`
`mutableCopy(Internal.FloatList list)`
`protected static Internal.IntList`
`mutableCopy(Internal.IntList list)`
`protected static Internal.LongList`
`mutableCopy(Internal.LongList list)`
`protected static <E> Internal.ProtobufList<E>`
`mutableCopy(Internal.ProtobufList<E> list)`
`final BuilderType`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected static Object`
`newMessageInfo(MessageLite defaultInstance, String info, Object[] objects)`
`static <ContainingType extends MessageLite, Type>
GeneratedMessageLite.GeneratedExtension<ContainingType,Type>`
`newRepeatedGeneratedExtension(ContainingType containingTypeDefaultInstance, MessageLite messageDefaultInstance, Internal.EnumLiteMap<?> enumTypeMap, int number, WireFormat.FieldType type, boolean isPacked, Class singularType)`
For use by generated code only.
`static <ContainingType extends MessageLite, Type>
GeneratedMessageLite.GeneratedExtension<ContainingType,Type>`
`newSingularGeneratedExtension(ContainingType containingTypeDefaultInstance, Type defaultValue, MessageLite messageDefaultInstance, Internal.EnumLiteMap<?> enumTypeMap, int number, WireFormat.FieldType type, Class singularType)`
For use by generated code only.
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseDelimitedFrom(T defaultInstance, InputStream input)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseDelimitedFrom(T defaultInstance, InputStream input, ExtensionRegistryLite extensionRegistry)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, byte[] data)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, byte[] data, ExtensionRegistryLite extensionRegistry)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, ByteString data)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, ByteString data, ExtensionRegistryLite extensionRegistry)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, CodedInputStream input)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, InputStream input)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, InputStream input, ExtensionRegistryLite extensionRegistry)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, ByteBuffer data)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parseFrom(T defaultInstance, ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`protected static <T extends GeneratedMessageLite<T, ?>>
T`
`parsePartialFrom(T defaultInstance, CodedInputStream input)`
`protected boolean`
`parseUnknownField(int tag, CodedInputStream input)`
Called by subclasses to parse an unknown field.
`protected static <T extends GeneratedMessageLite<?, ?>>
void`
`registerDefaultInstance(Class<T> clazz, T defaultInstance)`
`final BuilderType`
`toBuilder()`
Constructs a builder initialized with the current message.
`String`
`toString()`
A reflective toString function.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### unknownFields

protected UnknownFieldSetLite unknownFields
For use by generated code only. Lazily initialized to reduce allocations.

## Constructor Details

### GeneratedMessageLite

public GeneratedMessageLite()

## Method Details

### getParserForType

public final Parser<MessageType> getParserForType()
Description copied from interface: `MessageLite`
Gets the parser for a message of the same type as this message.

### getDefaultInstanceForType

public final MessageType getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

### newBuilderForType

public final BuilderType newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

### toString

public String toString()
A reflective toString function. This is primarily intended as a developer aid, while keeping binary size down. The first line of the `toString()` representation includes a commented version of `super.toString()` to act as an indicator that this should not be relied on for comparisons.

NOTE: This method relies on the field getter methods not being stripped or renamed by proguard. If they are, the fields will not be included in the returned string representation.

NOTE: This implementation is liable to change in the future, and should not be relied on in code.

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### parseUnknownField

protected boolean parseUnknownField(int tag, CodedInputStream input) throws IOException
Called by subclasses to parse an unknown field. For use by generated code only.

Returns:
  `true` unless the tag is an end-group tag.
Throws:
  `IOException`

### mergeVarintField

protected void mergeVarintField(int tag, int value)
Called by subclasses to parse an unknown field. For use by generated code only.

### mergeLengthDelimitedField

protected void mergeLengthDelimitedField(int fieldNumber, ByteString value)
Called by subclasses to parse an unknown field. For use by generated code only.

### makeImmutable

protected void makeImmutable()
Called by subclasses to complete parsing. For use by generated code only.

### createBuilder

protected final <MessageType extends GeneratedMessageLite<MessageType, BuilderType>, BuilderType extends GeneratedMessageLite.Builder<MessageType, BuilderType>> BuilderType createBuilder()

### createBuilder

protected final <MessageType extends GeneratedMessageLite<MessageType, BuilderType>, BuilderType extends GeneratedMessageLite.Builder<MessageType, BuilderType>> BuilderType createBuilder(MessageType prototype)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

### toBuilder

public final BuilderType toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

### dynamicMethod

protected abstract Object dynamicMethod(GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)
A method that implements different types of operations described in `GeneratedMessageLite.MethodToInvoke`. These different kinds of operations are required to implement message-level operations for builders in the runtime. This method bundles those operations to reduce the generated methods count.

- `NEW_INSTANCE` returns a new instance of the protocol buffer that has not yet been made immutable. See `MAKE_IMMUTABLE`.
- `IS_INITIALIZED` returns `null` for false and the default instance for true. It doesn't use or modify any memoized value.
- `GET_MEMOIZED_IS_INITIALIZED` returns the memoized `isInitialized` byte value.
- `SET_MEMOIZED_IS_INITIALIZED` sets the memoized `isInitialized` byte value to 1 if the first parameter is not null, or to 0 if the first parameter is null.
- `NEW_BUILDER` returns a `BuilderType` instance.

This method, plus the implementation of the Builder, enables the Builder class to be proguarded away entirely on Android.

For use by generated code only.

### dynamicMethod

@CanIgnoreReturnValue protected Object dynamicMethod(GeneratedMessageLite.MethodToInvoke method, Object arg0)
Same as `dynamicMethod(MethodToInvoke, Object, Object)` with `null` padding.

### dynamicMethod

protected Object dynamicMethod(GeneratedMessageLite.MethodToInvoke method)
Same as `dynamicMethod(MethodToInvoke, Object, Object)` with `null` padding.

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

### registerDefaultInstance

protected static <T extends GeneratedMessageLite<?, ?>> void registerDefaultInstance(Class<T> clazz, T defaultInstance)

### newMessageInfo

protected static Object newMessageInfo(MessageLite defaultInstance, String info, Object[] objects)

### mergeUnknownFields

protected final void mergeUnknownFields(UnknownFieldSetLite unknownFields)
Merge some unknown fields into the `UnknownFieldSetLite` for this message.

For use by generated code only.

### newSingularGeneratedExtension

public static <ContainingType extends MessageLite, Type> GeneratedMessageLite.GeneratedExtension<ContainingType,Type> newSingularGeneratedExtension(ContainingType containingTypeDefaultInstance, Type defaultValue, MessageLite messageDefaultInstance, Internal.EnumLiteMap<?> enumTypeMap, int number, WireFormat.FieldType type, Class singularType)
For use by generated code only.

### newRepeatedGeneratedExtension

public static <ContainingType extends MessageLite, Type> GeneratedMessageLite.GeneratedExtension<ContainingType,Type> newRepeatedGeneratedExtension(ContainingType containingTypeDefaultInstance, MessageLite messageDefaultInstance, Internal.EnumLiteMap<?> enumTypeMap, int number, WireFormat.FieldType type, boolean isPacked, Class singularType)
For use by generated code only.

### isInitialized

protected static final <T extends GeneratedMessageLite<T, ?>> boolean isInitialized(T message, boolean shouldMemoize)
A static helper method for checking if a message is initialized, optionally memoizing.

For use by generated code only.

### emptyIntList

protected static Internal.IntList emptyIntList()

### mutableCopy

protected static Internal.IntList mutableCopy(Internal.IntList list)

### emptyLongList

protected static Internal.LongList emptyLongList()

### mutableCopy

protected static Internal.LongList mutableCopy(Internal.LongList list)

### emptyFloatList

protected static Internal.FloatList emptyFloatList()

### mutableCopy

protected static Internal.FloatList mutableCopy(Internal.FloatList list)

### emptyDoubleList

protected static Internal.DoubleList emptyDoubleList()

### mutableCopy

protected static Internal.DoubleList mutableCopy(Internal.DoubleList list)

### emptyBooleanList

protected static Internal.BooleanList emptyBooleanList()

### mutableCopy

protected static Internal.BooleanList mutableCopy(Internal.BooleanList list)

### emptyProtobufList

protected static <E> Internal.ProtobufList<E> emptyProtobufList()

### mutableCopy

protected static <E> Internal.ProtobufList<E> mutableCopy(Internal.ProtobufList<E> list)

### parsePartialFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parsePartialFrom(T defaultInstance, CodedInputStream input) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, InputStream input) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, InputStream input, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, CodedInputStream input) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseFrom(T defaultInstance, CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseDelimitedFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseDelimitedFrom(T defaultInstance, InputStream input) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseDelimitedFrom

protected static <T extends GeneratedMessageLite<T, ?>> T parseDelimitedFrom(T defaultInstance, InputStream input, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`